Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Fault_Tolerance_Service Class Reference

TAO_Fault_Tolerant_Service. More...

`#include <Fault_Tolerance_Service.h>`

Collaboration diagram for TAO_Fault_Tolerance_Service:

[legend]
List of all members.

## Public Methods
| TAO_Fault_Tolerance_Service (void)
| Ctor.
| ~TAO_Fault_Tolerance_Service (void)
| Dtor.
void | init (TAO_ORB_Core *orb_core)
| Initialise the internal data structures.
TAO_Service_Callbacks* | service_callback (void)
| Return the underlying callback object.
const ACE_CString& | client_id (void)
| Return the underlying <ft_object_id>.
void | client_id (const char *id)
| Set the client id.
CORBA::Long | retention_id (void)
| Generate and return a new retention id.
## Private Attributes
TAO_Service_Callbacks* | ft_service_callback_
| hook to callback on to the service.
ACE_CString | ft_object_id_
| The object id that would be used if the ft service is loaded.
CORBA::Long | ft_object_retention_id_
ACE_Lock* | ft_object_retention_id_lock_
| Lock for the retention id.

## Detailed Description

TAO_Fault_Tolerant_Service.

A collection of ORB & ORB_Core related stuff that is needed at the ORB level. The ORB Core would carry an instance of this class and invoke methods on this. Note: This collection would be really useful when we have logging in place. The contents of this class can be logged at regular check point intervals.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Fault_Tolerance_Service::TAO_Fault_Tolerance_Service ( | void )

| Ctor.

TAO_Fault_Tolerance_Service::~TAO_Fault_Tolerance_Service ( | void )`[inline]`

| Dtor.

## Member Function Documentation

ACE_INLINE void TAO_Fault_Tolerance_Service::client_id ( | const char * id )

| Set the client id.

ACE_INLINE const ACE_CString & TAO_Fault_Tolerance_Service::client_id ( | void )

| Return the underlying <ft_object_id>.

void TAO_Fault_Tolerance_Service::init ( | TAO_ORB_Core * orb_core )

| Initialise the internal data structures.

ACE_INLINE CORBA::Long TAO_Fault_Tolerance_Service::retention_id ( | void )

| Generate and return a new retention id.

ACE_INLINE TAO_Service_Callbacks * TAO_Fault_Tolerance_Service::service_callback ( | void )

| Return the underlying callback object.

## Member Data Documentation

ACE_CString TAO_Fault_Tolerance_Service::ft_object_id_`[private]`

| The object id that would be used if the ft service is loaded.

CORBA::Long TAO_Fault_Tolerance_Service::ft_object_retention_id_`[private]`

| This and the <ft_object_id_> act as unique identifiers for the request sent from the source Object. Modification of this value is done by the loaded FT

ACE_Lock * TAO_Fault_Tolerance_Service::ft_object_retention_id_lock_`[private]`

| Lock for the retention id.

TAO_Service_Callbacks * TAO_Fault_Tolerance_Service::ft_service_callback_`[private]`

| hook to callback on to the service.

The documentation for this class was generated from the following files:

- Fault_Tolerance_Service.h
- Fault_Tolerance_Service.cpp
- Fault_Tolerance_Service.i